Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal
Class DesktopParentedResourceID

    java.lang.Object
      com.bea.portal.tools.resource.ResourceID
          com.bea.portal.tools.resource.framework.TaggedResourceID
              com.bea.portal.tools.resource.WebAppResourceID
                  com.bea.portal.tools.resource.ParentedResourceID
                      com.bea.portal.tools.portal.PortalParentedResourceID
                          com.bea.portal.tools.portal.DesktopParentedResourceID

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  BookID, PageID, PortletID

    public class DesktopParentedResourceID

extends PortalParentedResourceID

Represents a ResourceID for resources that have a desktop parent.

See Also
  Serialized Form

Constructor Summary
`protected` | `DesktopParentedResourceID(DesktopParentedResourceIDBuilder builder)` Constructor.
`protected` | `DesktopParentedResourceID(String resourceURN)` Constructor.

Method Summary
`DesktopDefinitionID` | `getDesktopDefinitionID()`
`DesktopPath` | `getDesktopPath()`
`protected DesktopParentedResourceIDBuilder` | `getResourceIDBuilder()` Get the `ResourceIDBuilder`.
`protected void` | `setResourcePathTags(boolean canonicalResourceURN, com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)`

Methods inherited from class com.bea.portal.tools.portal.PortalParentedResourceID
`getPortalID, getPortalPath`

Methods inherited from class com.bea.portal.tools.resource.ParentedResourceID
`getParentID`

Methods inherited from class com.bea.portal.tools.resource.WebAppResourceID
`getWebApp`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceID
`appendResourcePath, getTag, getTags, getTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceID
`appendResourceTypeNamespaceURI, computeResourceURN, computeResourceURN, equals, getCanonicalResourceURN, getResourceEnvironment, getResourceType, getResourceURN, hashCode, narrow, setCanonicalResourceURN, setResourceURN, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopParentedResourceID

    protected DesktopParentedResourceID(String resourceURN)

  Constructor.

  Parameters
    `resourceURN` - the URN of the referrent resource

### DesktopParentedResourceID

    protected DesktopParentedResourceID(DesktopParentedResourceIDBuilder builder)

  Constructor.

  Parameters
    `builder` - the `DesktopParentedResourceID`

Method Detail

### getResourceIDBuilder

    protected DesktopParentedResourceIDBuilder getResourceIDBuilder()

  Description copied from class: `ResourceID`
  Get the `ResourceIDBuilder`.

  Overrides:
    `getResourceIDBuilder` in class `PortalParentedResourceID`
  Returns
    the the `ResourceIDBuilder`

### setResourcePathTags

    protected void setResourcePathTags(boolean canonicalResourceURN,
                                       com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)

  Overrides:
    `setResourcePathTags` in class `PortalParentedResourceID`

### getDesktopPath

    public DesktopPath getDesktopPath()

### getDesktopDefinitionID

    public DesktopDefinitionID getDesktopDefinitionID()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved